Bug 957169 - Junk "left" and "right" outputs from spatch
Summary: Junk "left" and "right" outputs from spatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coccinelle
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-26 13:57 UTC by Richard W.M. Jones
Modified: 2013-05-07 18:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-03 02:48:47 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2013-04-26 13:57:18 UTC
Description of problem:

Reported by Artem Bityutskiy.

$ spatch -sp_file /home/rjones/d/linux/scripts/coccinelle/free/clk_put.cocci /home/rjones/d/linux/drivers/gpio/gpio-sch.c
init_defs_builtins: /usr/share/coccinelle/standard.h
HANDLING: /home/rjones/d/linux/drivers/gpio/gpio-sch.c
No matches found for clk_get clk_put
Skipping:/home/rjones/d/linux/drivers/gpio/gpio-sch.c
left
left
left
left
left
left
left
right
right
right
right
right
right
left
left
left
left
left
left
left
left
left
left

Version-Release number of selected component (if applicable):

coccinelle-1.0.0-0.rc14.6.fc18.x86_64

How reproducible:

100%

Steps to Reproduce:
1. See above.

Comment 1 Richard W.M. Jones 2013-04-26 13:59:26 UTC
Also happens in Rawhide.  Will try to update to latest
upstream (-rc17).

Comment 2 Fedora Update System 2013-04-26 14:18:50 UTC
coccinelle-1.0.0-0.rc17.1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/coccinelle-1.0.0-0.rc17.1.fc19

Comment 3 Fedora Update System 2013-04-26 14:18:58 UTC
coccinelle-1.0.0-0.rc17.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/coccinelle-1.0.0-0.rc17.1.fc18

Comment 4 Fedora Update System 2013-04-26 16:45:47 UTC
Package coccinelle-1.0.0-0.rc17.1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coccinelle-1.0.0-0.rc17.1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6704/coccinelle-1.0.0-0.rc17.1.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-27 20:22:44 UTC
coccinelle-1.0.0-0.rc17.2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/coccinelle-1.0.0-0.rc17.2.fc19

Comment 6 Fedora Update System 2013-04-27 20:22:57 UTC
coccinelle-1.0.0-0.rc17.2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/coccinelle-1.0.0-0.rc17.2.fc18

Comment 7 Fedora Update System 2013-05-03 02:48:54 UTC
coccinelle-1.0.0-0.rc17.2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-05-07 18:34:00 UTC
coccinelle-1.0.0-0.rc17.2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.